#include "../Chio.h"

main()
{
	ChioTerm t1 ;
	ChioTerm t2(string("100"), ChioTerm::WordChioTerm) ;
	ChioTerm t3(string("-200"), ChioTerm::WordChioTerm) ;
	ChioTerm t4(string("0.568"), ChioTerm::WordChioTerm) ;
	ChioTerm t5("A Longer Name", ChioTerm::StringChioTerm) ;
	ChioTerm t6(string("Another Long Name"), ChioTerm::MultiLineChioTerm) ;

	cout << "Terms:" << endl ;
	cout << t1 << endl ;
	cout << t2 << endl ;
	cout << t3 << endl ;
	cout << t4 << endl ;
	cout << t5 << endl ;
	cout << t6 << endl ;

	cout << (unsigned long)t2 << endl ;
	cout << (long)t3 << endl ;
	cout << (unsigned long)t3 << endl ;
	cout << (double)t4 << endl ;

	ChioValue v1 ;
	ChioValue v2(new ChioTerm(t2), string("/* A comment */")) ;
	ChioValue v3(new ChioTerm(t3), string("/* Another comment */")) ;

	cout << "\nSimple Values:" << endl ;
	cout << v1 << endl ;
	cout << v2 << endl ;
	cout << v3 << endl ;

	ChioList l1 ;
	l1.push_back(v1) ;
	l1.push_back(v2) ;
	l1.push_back(v3) ;

	cout << "\nList Values:" << endl ;
	cout << l1 << endl ;

	ChioValue v4(l1) ;

	ChioMap m1 ;
	m1.insert(ChioAssignment(t2, v2)) ;
	m1.insert(ChioAssignment(t3, v3)) ;
	m1.insert(ChioAssignment(t4, v2)) ;

	ChioMap m2 ;
	m2.insert(ChioAssignment(t4, v2)) ;
	m2.insert(ChioAssignment(t5, v3)) ;

	ChioMap m3 ;
	m3.insert(ChioAssignment(t2, v2)) ;
	m3.insert(ChioAssignment("test1", v2)) ;
	m3.insert(ChioAssignment("test2", v3)) ;
	m3.insert(ChioAssignment("test3", v4)) ;

	//m2["tests"] = ChioValue(m3) ;
	m2.insert(ChioAssignment(ChioTerm("tests"), ChioValue(m3))) ;
	ChioList l2 ;
	l2.push_back(ChioValue(m2)) ;
	ChioValue v5(l2) ;
	m2.insert(ChioAssignment(ChioTerm("list_test"), v5)) ;

	//m1[t5] = ChioValue(m2) ;
	m1.insert(ChioAssignment(t5, ChioValue(m2))) ;

	cout << "\nMaps:" << endl ;
	cout << m1 << endl ;

	ChioMap mcopy(m1) ;
	cout << mcopy << endl ;
	mcopy.erase(t5) ;
	cout << mcopy << endl ;
	mcopy.erase(t4) ;
	cout << mcopy << endl ;
	mcopy.erase(t3) ;
	cout << mcopy << endl ;
	mcopy.erase(t2) ;
	cout << mcopy << endl ;

	m1 = mcopy ;
	cout << m1 << endl ;
}
