/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: DisplayItem.h,v $
$Revision: 1.12 $
$Date: 1997/07/02 04:45:17 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: DisplayItem.h,v $
Revision 1.12  1997/07/02 04:45:17  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.11  1997/02/08 04:37:42  andrewm
Checkpoint before returning to work on the GUI portion.

Revision 1.10  1997/01/23 06:20:55  andrewm
Checkpoint as base and graphics classes are operating together.

Revision 1.9  1996/11/27 01:25:53  andrewm
Another checkpoint before I go off and figure out what to do about
the graphical representations so that I'll be able to get some post script
output one of these days.

Revision 1.8  1996/11/14 06:19:54  andrewm
checkpoint

 * Revision 1.7  1996/10/01  04:39:26  andrewm
 * checkpoint and revision
 *
 * Revision 1.6  1996/09/22  01:45:36  andrewm
 * pre-alpha release
 *
 * Revision 1.5  1996/08/18  17:58:13  andrewm
 * checkpoint
 *
 * Revision 1.5  1996/08/18  17:58:13  andrewm
 * checkpoint
 *
 * Revision 1.4  1996/08/05  01:25:56  andrewm
 * checkpoint
 *
 * Revision 1.3  1996/07/27  20:57:09  andrewm
 * checkpoint
 *
 * Revision 1.2  1996/07/15  01:21:01  andrewm
 * checkpoint again
 *
 * Revision 1.1  1996/06/26  03:16:15  andrewm
 * Initial revision
 *
 *--
 */
#ifndef _DisplayItem_h_
#define _DisplayItem_h_

/*
PRAGMAS
*/

/*
INCLUDE FILES
*/
#include "Geom2d.h"

/*
MACRO DEFINITIONS
*/

/*
CLASS DEFINITIONS
*/

class DisplayItem
{
public:
	virtual ~DisplayItem() {}

	virtual void draw() = 0 ;
	virtual void highlight() = 0 ;
} ;


#endif /* _DisplayItem_h_ */
