/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: EventDefVisitor.h,v $
$Revision: 1.3 $
$Date: 1997/07/02 04:45:22 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: EventDefVisitor.h,v $
Revision 1.3  1997/07/02 04:45:22  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.2  1996/12/26 05:55:27  andrewm
Checkpoint, the compiler is working again.

Revision 1.1  1996/09/22 01:18:50  andrewm
pre-alpha release

 *--
 */
#ifndef _EventDefVisitor_h_
#define _EventDefVisitor_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include <iostream.h>
#include <string>

#include "MachineVisitor.h"

/*
MACRO DEFINITIONS
*/

/*
CLASS DEFINITIONS
*/

class EventDefVisitor :
	public MachineVisitor
{
public:
	EventDefVisitor(ostream& stream) ;

	virtual void visit(Smachine *machine) ;
	virtual void visit(MachEvent *event) ;
	virtual void visit(Parameter *parameter) ;

private:
	ostream& _codefile ;
	string _prefix_name ;
} ;



#endif /* _EventDefVisitor_h_ */
